Bug 1276457 - [abrt] WARNING: CPU: 3 PID: 17550 at drivers/gpu/drm/i915/intel_display.c:11002 intel_mmio_flip_work_func+0x3ba/0x3d0 [i915]() [i915]
[abrt] WARNING: CPU: 3 PID: 17550 at drivers/gpu/drm/i915/intel_display.c:110...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e44ec0dd73f78afefb1128a25cf...
:
: 1315078 1321770 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 14:26 EDT by Mikhail
Modified: 2016-12-20 11:23 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:14:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (574.65 KB, text/plain)
2015-10-29 14:26 EDT, Mikhail
no flags Details
cat /sys/class/drm/card0/error (3.06 MB, text/plain)
2015-10-29 15:17 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-10-29 14:26:08 EDT
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 3 PID: 17550 at drivers/gpu/drm/i915/intel_display.c:11002 intel_mmio_flip_work_func+0x3ba/0x3d0 [i915]()
WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
Modules linked in:
 rndis_host cdc_ether usbnet xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nls_utf8 isofs rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_nat ebtable_broute bridge ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_security ip6table_mangle ip6table_filter
[drm:i915_reset_and_wakeup] resetting chip
 ip6_tables
 iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_security iptable_mangle bnep snd_usb_audio snd_usbmidi_lib snd_rawmidi vfat fat btrfs intel_rapl iosf_mbi iTCO_wdt iTCO_vendor_support xor btusb hid_logitech_hidpp gspca_zc3xx btrtl gspca_main x86_pkg_temp_thermal btbcm btintel videodev bluetooth coretemp raid6_pq media rfkill kvm_intel joydev kvm crct10dif_pclmul snd_hda_codec_realtek crc32_pclmul crc32c_intel snd_hda_codec_ca0132 snd_hda_codec_generic ghash_clmulni_intel snd_hda_codec_hdmi snd_hda_intel snd_hda_codec ppdev snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd lpc_ich mei_me i2c_i801 shpchp mei soundcore parport_pc parport tpm_infineon tpm_tis tpm hid_logitech_dj nfsd auth_rpcgss binfmt_misc nfs_acl lockd grace
 sunrpc uas usb_storage i915 8021q garp stp llc mrp serio_raw r8169 i2c_algo_bit drm_kms_helper drm mii video
CPU: 3 PID: 17550 Comm: kworker/3:4 Not tainted 4.2.3-300.fc23.x86_64+debug #1
Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
Workqueue: events intel_mmio_flip_work_func [i915]
 0000000000000000 00000000b12d698f ffff880004013c08 ffffffff81868ce6
 0000000000000000 ffff880004013c60 ffff880004013c48 ffffffff810ac446
 0000000000000000 ffff8801aabde100 ffff8807fe3d6b40 ffff8807fe3dbe00
Call Trace:
 [<ffffffff81868ce6>] dump_stack+0x4c/0x65
 [<ffffffff810ac446>] warn_slowpath_common+0x86/0xc0
 [<ffffffff810ac4d5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa0157c2a>] intel_mmio_flip_work_func+0x3ba/0x3d0 [i915]
 [<ffffffff8110811d>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffff810cc432>] process_one_work+0x232/0x840
 [<ffffffff810cc39b>] ? process_one_work+0x19b/0x840
 [<ffffffff810ccb15>] ? worker_thread+0xd5/0x450
 [<ffffffff810cca8e>] worker_thread+0x4e/0x450
 [<ffffffff810cca40>] ? process_one_work+0x840/0x840
 [<ffffffff810d36d4>] kthread+0x104/0x120
 [<ffffffff810d35d0>] ? kthread_create_on_node+0x250/0x250
 [<ffffffff81872bdf>] ret_from_fork+0x3f/0x70
 [<ffffffff810d35d0>] ? kthread_create_on_node+0x250/0x250

Potential duplicate: bug 1220018
Comment 1 Mikhail 2015-10-29 14:26:19 EDT
Created attachment 1087647 [details]
File: dmesg
Comment 2 Mikhail 2015-10-29 15:17 EDT
Created attachment 1087655 [details]
cat /sys/class/drm/card0/error
Comment 3 Robin Green 2016-02-26 03:58:58 EST
Description of problem:
I clicked on a button in Toggl and X died

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.3.5-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet pcie_aspm=off LANG=en_GB.UTF-8
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 30725 at drivers/gpu/drm/i915/intel_display.c:11199 intel_mmio_flip_work_func+0x391/0x3c0 [i915]()
WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
Modules linked in:
 hidp ccm cmac rfcomm fuse ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter overlay ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_filter ebtable_broute bridge ebtables ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_raw bnep intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp arc4 kvm iwlmvm dm_crypt mac80211 crct10dif_pclmul iTCO_wdt iTCO_vendor_support crc32_pclmul vfat fat crc32c_intel iwlwifi uvcvideo snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic cfg80211 videobuf2_vmalloc videobuf2_core snd_hda_intel btusb videobuf2_memops
 btrtl v4l2_common i2c_i801 intel_pch_thermal btbcm snd_hda_codec videodev btintel bluetooth lpc_ich media snd_seq snd_hda_core shpchp cdc_acm snd_hwdep joydev snd_seq_device snd_pcm mei_me mei thinkpad_acpi snd_timer snd soundcore rfkill wmi tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc cdc_mbim cdc_wdm cdc_ncm usbnet hid_multitouch mii 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw ptp pps_core fjes video
CPU: 1 PID: 30725 Comm: kworker/1:0 Not tainted 4.3.5-300.fc23.x86_64 #1
Hardware name: LENOVO 20BS00AFUK/20BS00AFUK, BIOS N14ET32W (1.10 ) 08/13/2015
Workqueue: events intel_mmio_flip_work_func [i915]
 0000000000000000 00000000d25654f8 ffff88017d197d18 ffffffff813a643f
 ffff88017d197d60 ffff88017d197d50 ffffffff810a07d2 ffff880057dd0780
 ffff88018dfa01c0 ffff88022dc5af00 0000000000000040 ffff88018dfa01c0
Call Trace:
 [<ffffffff813a643f>] dump_stack+0x44/0x55
 [<ffffffff810a07d2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a086c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa017c141>] intel_mmio_flip_work_func+0x391/0x3c0 [i915]
 [<ffffffff810b8cee>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f8e>] worker_thread+0x4e/0x450
 [<ffffffff810b8f40>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bedf8>] kthread+0xd8/0xf0
 [<ffffffff810bed20>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178219f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed20>] ? kthread_worker_fn+0x160/0x160
Comment 4 evans ferdinand 2016-03-06 08:14:14 EST
*** Bug 1315078 has been marked as a duplicate of this bug. ***
Comment 5 Dustin Berger 2016-03-29 02:27:14 EDT
*** Bug 1321770 has been marked as a duplicate of this bug. ***
Comment 6 joakim 2016-04-02 21:08:12 EDT
Description of problem:
Randomly graphics crashes after surfing on XPS 13 9350 late 2015 with QHD screen

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.6-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-6bd8261e-d9cd-46f5-9c22-e4d43ca00e75 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 4955 at drivers/gpu/drm/i915/intel_display.c:11289 intel_mmio_flip_work_func+0x387/0x3d0 [i915]()
WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
Modules linked in:
 cmac rfcomm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_filter ip6_tables iptable_raw iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle bnep snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_core dell_led intel_rapl x86_pkg_temp_thermal coretemp kvm_intel snd_compress snd_hda_codec_realtek snd_hda_codec_generic snd_pcm_dmaengine ac97_bus dw_dmac_core kvm dell_wmi snd_hda_intel sparse_keymap i2c_designware_platform dell_laptop snd_hda_codec i2c_designware_core vfat snd_hda_core
 fat dcdbas irqbypass snd_hwdep snd_seq brcmfmac snd_seq_device brcmutil snd_pcm cfg80211 uvcvideo btusb videobuf2_vmalloc videobuf2_memops btrtl videobuf2_v4l2 videobuf2_core v4l2_common snd_timer joydev videodev media snd rtsx_pci_ms mei_me memstick soundcore i2c_i801 mei shpchp wmi hci_uart btbcm btqca btintel bluetooth pinctrl_sunrisepoint rfkill pinctrl_intel intel_lpss_acpi int3403_thermal processor_thermal_device int340x_thermal_zone acpi_als idma64 kfifo_buf int3400_thermal intel_soc_dts_iosf acpi_thermal_rel industrialio iosf_mbi intel_lpss_pci acpi_pad intel_lpss tpm_tis tpm nfsd auth_rpcgss binfmt_misc nfs_acl lockd grace sunrpc dm_crypt hid_multitouch i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul i2c_algo_bit crc32_pclmul drm_kms_helper crc32c_intel drm serio_raw rtsx_pci
 nvme i2c_hid video fjes
CPU: 0 PID: 4955 Comm: kworker/0:1 Not tainted 4.4.6-300.fc23.x86_64 #1
Hardware name: Dell Inc. XPS 13 9350/0PWNCR, BIOS 1.3.3 03/01/2016
Workqueue: events intel_mmio_flip_work_func [i915]
 0000000000000286 00000000e214da99 ffff880072567d20 ffffffff813b542e
 ffff880072567d68 ffffffffa01f5de8 ffff880072567d58 ffffffff810a40f2
 ffff8801f19749c0 ffff88027ec16600 ffff88027ec1b000 0000000000000000
Call Trace:
 [<ffffffff813b542e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa018f7d7>] intel_mmio_flip_work_func+0x387/0x3d0 [i915]
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a084f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 7 fred 2016-04-21 17:40:50 EDT
Same here, frequent crashes, hot temperature, on dell 9350 with latest firmware.
Comment 8 Vitaliy Paritskiy 2016-04-28 07:13:44 EDT
Description of problem:
Screen frozen for ~5 seconds, then x11 reloaded. The instance when it happened was when I had 1 terminal working on updates and pressed CTRL+Shft+n for a new terminal window.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.7-300.fc23.x86_64 root=UUID=f70a5a1a-0698-40fc-a912-8309e95dffee ro rhgb quiet
kernel:         4.4.7-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 11068 at drivers/gpu/drm/i915/intel_display.c:11289 intel_mmio_flip_work_func+0x387/0x3d0 [i915]()
WARN_ON(__i915_wait_request(mmio_flip->req, mmio_flip->crtc->reset_counter, false, NULL, &mmio_flip->i915->rps.mmioflips))
Modules linked in:
 rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_mangle ip6table_security ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_mangle iptable_security bnep rtsx_usb_ms memstick uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev media btusb btrtl btbcm btintel bluetooth intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm asus_nb_wmi asus_wmi iTCO_wdt iTCO_vendor_support sparse_keymap
 irqbypass arc4 vfat snd_hda_codec_hdmi fat iwldvm crct10dif_pclmul crc32_pclmul snd_hda_codec_realtek mac80211 crc32c_intel snd_hda_codec_generic snd_hda_intel snd_hda_codec iwlwifi snd_hda_core snd_hwdep cfg80211 snd_seq snd_seq_device snd_pcm joydev rfkill i2c_i801 snd_timer lpc_ich snd shpchp mei_me soundcore mei wmi int3403_thermal int3400_thermal acpi_als int3402_thermal acpi_thermal_rel int340x_thermal_zone kfifo_buf industrialio tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_usb_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm serio_raw rtsx_usb fjes video
CPU: 3 PID: 11068 Comm: kworker/3:2 Not tainted 4.4.7-300.fc23.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. UX31A/UX31A, BIOS UX31A.219 06/14/2013
Workqueue: events intel_mmio_flip_work_func [i915]
 0000000000000286 00000000ce7c3c97 ffff88003eaf7d20 ffffffff813b5f8e
 ffff88003eaf7d68 ffffffffa01cfde8 ffff88003eaf7d58 ffffffff810a4122
 ffff8800608d37c0 ffff88011ef96600 ffff88011ef9b000 00000000000000c0
Call Trace:
 [<ffffffff813b5f8e>] dump_stack+0x63/0x85
 [<ffffffff810a4122>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a41bc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa01697d7>] intel_mmio_flip_work_func+0x387/0x3d0 [i915]
 [<ffffffff810bc5c6>] process_one_work+0x156/0x430
 [<ffffffff810bc8ee>] worker_thread+0x4e/0x450
 [<ffffffff810bc8a0>] ? process_one_work+0x430/0x430
 [<ffffffff810c2678>] kthread+0xd8/0xf0
 [<ffffffff810c25a0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a144f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c25a0>] ? kthread_worker_fn+0x160/0x160
Comment 9 Daniel Rindt 2016-05-07 12:56:15 EDT
I found that the kernel commandline parameter solves this:
i915.enable_rc6=0

But this should just a temporary solution.
Comment 10 Fedora End Of Life 2016-11-24 07:58:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 10:14:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.